Run of lintian-fixes for rust-daemonize

Try this locally (using the lintian-brush package):

debcheckout rust-daemonize
cd rust-daemonize
lintian-brush
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
344
345
346
347
348
349
350
351
352
353
354
355
356
357
358
359
360
361
362
363
364
365
366
367
368
369
370
371
372
373
374
375
376
377
378
379
380
381
382
383
384
385
386
387
388
389
390
391
392
393
394
395
396
397
398
399
400
401
402
403
404
405
406
407
408
409
410
411
412
413
414
415
416
417
418
419
420
421
422
423
424
425
426
427
428
429
430
431
432
433
434
435
436
437
438
439
440
441
442
443
444
445
446
447
448
449
450
451
452
453
454
455
456
457
458
459
460
461
462
463
464
465
466
467
468
469
470
471
472
473
474
475
476
477
478
479
480
481
482
483
484
485
486
487
488
489
490
491
492
493
494
495
496
497
498
499
500
501
502
503
504
505
506
507
508
509
510
511
512
513
514
515
516
517
518
519
520
521
522
523
524
525
526
527
528
529
530
531
532
533
534
535
536
537
538
539
540
541
542
543
544
545
546
547
548
549
550
551
552
553
554
555
556
557
558
559
560
561
562
563
564
565
566
567
568
569
570
571
572
573
574
575
576
577
578
579
580
581
582
583
584
585
586
587
588
589
590
591
592
593
594
595
596
597
598
599
600
601
602
603
604
605
606
607
608
609
610
611
612
613
614
615
[2021-05-11 16:26:02] Running ['lintian-brush']
[2021-05-11 16:26:02] Opening branch at https://salsa.debian.org/rust-team/debcargo-conf.git/,branch=master
[2021-05-11 16:26:04] Cached branch URL https://janitor.debian.net/git/rust-daemonize,branch=debian%2Flatest missing: Branch does not exist: Not a branch: "https://janitor.debian.net/git/rust-daemonize/".
[2021-05-11 16:26:04] (2839/4654)
[2021-05-11 16:26:06] Total 59382 (delta 3616), reused 4222 (delta 3298), pack-reused 54728
[2021-05-11 16:26:44] Total 15732 (delta 0), reused 0 (delta 0), pack-reused 15732
[2021-05-11 16:26:53] Workspace ready - starting.
[2021-05-11 16:27:28] assuming changelog needs to be updated since gbp dch only suppors a debian directory in the root of the repository Specify --no-update-changelog to override.
[2021-05-11 16:28:03] Fixer 'file-contains-trailing-whitespace' failed to run:
Script /code/lintian-brush/fixers/file-contains-trailing-whitespace.py failed with exit code: 1
Traceback (most recent call last):
  File "/code/lintian-brush/lintian_brush/__init__.py", line 415, in run
    exec(code, global_vars)
  File "/code/lintian-brush/fixers/file-contains-trailing-whitespace.py", line 5, in <module>
    from lintian_brush.fixer import report_result, LintianIssue
  File "/code/lintian-brush/lintian_brush/fixer.py", line 239, in <module>
    from debmutate.debcargo import DebcargoControlShimEditor, DebcargoEditor
  File "/code/debmutate/debmutate/debcargo.py", line 28, in <module>
    from tomlkit import loads, dumps
ModuleNotFoundError: No module named 'tomlkit'

[2021-05-11 16:28:03] Fixer 'extended-description-contains-empty-paragraph' failed to run:
Script /code/lintian-brush/fixers/extended-description-contains-empty-paragraph.py failed with exit code: 1
Traceback (most recent call last):
  File "/code/lintian-brush/lintian_brush/__init__.py", line 415, in run
    exec(code, global_vars)
  File "/code/lintian-brush/fixers/extended-description-contains-empty-paragraph.py", line 5, in <module>
    with control as editor:
  File "/code/debmutate/debmutate/control.py", line 317, in __enter__
    self._primary.__enter__()
  File "/code/debmutate/debmutate/reformatting.py", line 193, in __enter__
    self._parsed = self._nonexistant()
  File "/code/debmutate/debmutate/reformatting.py", line 189, in __enter__
    with open(self.path, 'r' + self.mode) as f:
FileNotFoundError: [Errno 2] No such file or directory: 'debian/control'

[2021-05-11 16:28:03] Fixer 'ancient-python-version-field' failed to run:
Script /code/lintian-brush/fixers/ancient-python-version-field.py failed with exit code: 1
Traceback (most recent call last):
  File "/code/lintian-brush/lintian_brush/__init__.py", line 415, in run
    exec(code, global_vars)
  File "/code/lintian-brush/fixers/ancient-python-version-field.py", line 10, in <module>
    with control as updater:
  File "/code/debmutate/debmutate/control.py", line 317, in __enter__
    self._primary.__enter__()
  File "/code/debmutate/debmutate/reformatting.py", line 193, in __enter__
    self._parsed = self._nonexistant()
  File "/code/debmutate/debmutate/reformatting.py", line 189, in __enter__
    with open(self.path, 'r' + self.mode) as f:
FileNotFoundError: [Errno 2] No such file or directory: 'debian/control'

[2021-05-11 16:28:03] Fixer 'build-depends-on-build-essential' failed to run:
Script /code/lintian-brush/fixers/build-depends-on-build-essential.py failed with exit code: 1
Traceback (most recent call last):
  File "/code/lintian-brush/lintian_brush/__init__.py", line 415, in run
    exec(code, global_vars)
  File "/code/lintian-brush/fixers/build-depends-on-build-essential.py", line 7, in <module>
    with control as updater:
  File "/code/debmutate/debmutate/control.py", line 317, in __enter__
    self._primary.__enter__()
  File "/code/debmutate/debmutate/reformatting.py", line 193, in __enter__
    self._parsed = self._nonexistant()
  File "/code/debmutate/debmutate/reformatting.py", line 189, in __enter__
    with open(self.path, 'r' + self.mode) as f:
FileNotFoundError: [Errno 2] No such file or directory: 'debian/control'

[2021-05-11 16:28:03] Fixer 'build-depends-on-obsolete-package' failed to run:
Script /code/lintian-brush/fixers/build-depends-on-obsolete-package.py failed with exit code: 1
Traceback (most recent call last):
  File "/code/lintian-brush/lintian_brush/__init__.py", line 415, in run
    exec(code, global_vars)
  File "/code/lintian-brush/fixers/build-depends-on-obsolete-package.py", line 7, in <module>
    with control as updater:
  File "/code/debmutate/debmutate/control.py", line 317, in __enter__
    self._primary.__enter__()
  File "/code/debmutate/debmutate/reformatting.py", line 193, in __enter__
    self._parsed = self._nonexistant()
  File "/code/debmutate/debmutate/reformatting.py", line 189, in __enter__
    with open(self.path, 'r' + self.mode) as f:
FileNotFoundError: [Errno 2] No such file or directory: 'debian/control'

[2021-05-11 16:28:03] Fixer 'debhelper-but-no-misc-depends' failed to run:
Script /code/lintian-brush/fixers/debhelper-but-no-misc-depends.py failed with exit code: 1
Traceback (most recent call last):
  File "/code/lintian-brush/lintian_brush/__init__.py", line 415, in run
    exec(code, global_vars)
  File "/code/lintian-brush/fixers/debhelper-but-no-misc-depends.py", line 14, in <module>
    with control as updater:
  File "/code/debmutate/debmutate/control.py", line 317, in __enter__
    self._primary.__enter__()
  File "/code/debmutate/debmutate/reformatting.py", line 193, in __enter__
    self._parsed = self._nonexistant()
  File "/code/debmutate/debmutate/reformatting.py", line 189, in __enter__
    with open(self.path, 'r' + self.mode) as f:
FileNotFoundError: [Errno 2] No such file or directory: 'debian/control'

[2021-05-11 16:28:03] Fixer 'debian-control-has-empty-field' failed to run:
Script /code/lintian-brush/fixers/debian-control-has-empty-field.py failed with exit code: 1
Traceback (most recent call last):
  File "/code/lintian-brush/lintian_brush/__init__.py", line 415, in run
    exec(code, global_vars)
  File "/code/lintian-brush/fixers/debian-control-has-empty-field.py", line 7, in <module>
    with control as updater:
  File "/code/debmutate/debmutate/control.py", line 317, in __enter__
    self._primary.__enter__()
  File "/code/debmutate/debmutate/reformatting.py", line 193, in __enter__
    self._parsed = self._nonexistant()
  File "/code/debmutate/debmutate/reformatting.py", line 189, in __enter__
    with open(self.path, 'r' + self.mode) as f:
FileNotFoundError: [Errno 2] No such file or directory: 'debian/control'

[2021-05-11 16:28:03] Fixer 'homepage-in-binary-package' failed to run:
Script /code/lintian-brush/fixers/homepage-in-binary-package.py failed with exit code: 1
Traceback (most recent call last):
  File "/code/lintian-brush/lintian_brush/__init__.py", line 415, in run
    exec(code, global_vars)
  File "/code/lintian-brush/fixers/homepage-in-binary-package.py", line 9, in <module>
    with control as updater:
  File "/code/debmutate/debmutate/control.py", line 317, in __enter__
    self._primary.__enter__()
  File "/code/debmutate/debmutate/reformatting.py", line 193, in __enter__
    self._parsed = self._nonexistant()
  File "/code/debmutate/debmutate/reformatting.py", line 189, in __enter__
    with open(self.path, 'r' + self.mode) as f:
FileNotFoundError: [Errno 2] No such file or directory: 'debian/control'

[2021-05-11 16:28:03] Fixer 'libmodule-build-perl-needs-to-be-in-build-depends' failed to run:
Script /code/lintian-brush/fixers/libmodule-build-perl-needs-to-be-in-build-depends.py failed with exit code: 1
Traceback (most recent call last):
  File "/code/lintian-brush/lintian_brush/__init__.py", line 415, in run
    exec(code, global_vars)
  File "/code/lintian-brush/fixers/libmodule-build-perl-needs-to-be-in-build-depends.py", line 11, in <module>
    with control as updater:
  File "/code/debmutate/debmutate/control.py", line 317, in __enter__
    self._primary.__enter__()
  File "/code/debmutate/debmutate/reformatting.py", line 193, in __enter__
    self._parsed = self._nonexistant()
  File "/code/debmutate/debmutate/reformatting.py", line 189, in __enter__
    with open(self.path, 'r' + self.mode) as f:
FileNotFoundError: [Errno 2] No such file or directory: 'debian/control'

[2021-05-11 16:28:03] Fixer 'dm-upload-allowed' failed to run:
Script /code/lintian-brush/fixers/dm-upload-allowed.py failed with exit code: 1
Traceback (most recent call last):
  File "/code/lintian-brush/lintian_brush/__init__.py", line 415, in run
    exec(code, global_vars)
  File "/code/lintian-brush/fixers/dm-upload-allowed.py", line 6, in <module>
    with control as updater:
  File "/code/debmutate/debmutate/control.py", line 317, in __enter__
    self._primary.__enter__()
  File "/code/debmutate/debmutate/reformatting.py", line 193, in __enter__
    self._parsed = self._nonexistant()
  File "/code/debmutate/debmutate/reformatting.py", line 189, in __enter__
    with open(self.path, 'r' + self.mode) as f:
FileNotFoundError: [Errno 2] No such file or directory: 'debian/control'

[2021-05-11 16:28:03] Fixer 'vcs-field-for-maintainer' failed to run:
Script /code/lintian-brush/fixers/vcs-field-for-maintainer.py failed with exit code: 1
Traceback (most recent call last):
  File "/code/lintian-brush/lintian_brush/__init__.py", line 415, in run
    exec(code, global_vars)
  File "/code/lintian-brush/fixers/vcs-field-for-maintainer.py", line 17, in <module>
    with control as editor:
  File "/code/debmutate/debmutate/control.py", line 317, in __enter__
    self._primary.__enter__()
  File "/code/debmutate/debmutate/reformatting.py", line 193, in __enter__
    self._parsed = self._nonexistant()
  File "/code/debmutate/debmutate/reformatting.py", line 189, in __enter__
    with open(self.path, 'r' + self.mode) as f:
FileNotFoundError: [Errno 2] No such file or directory: 'debian/control'

[2021-05-11 16:28:03] Fixer 'python-teams-merged' failed to run:
Script /code/lintian-brush/fixers/python-teams-merged.py failed with exit code: 1
Traceback (most recent call last):
  File "/code/lintian-brush/lintian_brush/__init__.py", line 415, in run
    exec(code, global_vars)
  File "/code/lintian-brush/fixers/python-teams-merged.py", line 6, in <module>
    with control as editor:
  File "/code/debmutate/debmutate/control.py", line 317, in __enter__
    self._primary.__enter__()
  File "/code/debmutate/debmutate/reformatting.py", line 193, in __enter__
    self._parsed = self._nonexistant()
  File "/code/debmutate/debmutate/reformatting.py", line 189, in __enter__
    with open(self.path, 'r' + self.mode) as f:
FileNotFoundError: [Errno 2] No such file or directory: 'debian/control'

[2021-05-11 16:28:03] Fixer 'missing-vcs-browser-field' failed to run:
Script /code/lintian-brush/fixers/missing-vcs-browser-field.py failed with exit code: 1
Traceback (most recent call last):
  File "/code/lintian-brush/lintian_brush/__init__.py", line 415, in run
    exec(code, global_vars)
  File "/code/lintian-brush/fixers/missing-vcs-browser-field.py", line 7, in <module>
    with control as updater:
  File "/code/debmutate/debmutate/control.py", line 317, in __enter__
    self._primary.__enter__()
  File "/code/debmutate/debmutate/reformatting.py", line 193, in __enter__
    self._parsed = self._nonexistant()
  File "/code/debmutate/debmutate/reformatting.py", line 189, in __enter__
    with open(self.path, 'r' + self.mode) as f:
FileNotFoundError: [Errno 2] No such file or directory: 'debian/control'

[2021-05-11 16:28:03] Fixer 'obsolete-url-in-packaging' failed to run:
Script /code/lintian-brush/fixers/obsolete-url-in-packaging.py failed with exit code: 1
Traceback (most recent call last):
  File "/code/lintian-brush/lintian_brush/__init__.py", line 415, in run
    exec(code, global_vars)
  File "/code/lintian-brush/fixers/obsolete-url-in-packaging.py", line 8, in <module>
    with control:
  File "/code/debmutate/debmutate/control.py", line 317, in __enter__
    self._primary.__enter__()
  File "/code/debmutate/debmutate/reformatting.py", line 193, in __enter__
    self._parsed = self._nonexistant()
  File "/code/debmutate/debmutate/reformatting.py", line 189, in __enter__
    with open(self.path, 'r' + self.mode) as f:
FileNotFoundError: [Errno 2] No such file or directory: 'debian/control'

[2021-05-11 16:28:03] Fixer 'no-homepage-field' failed to run:
Script /code/lintian-brush/fixers/no-homepage-field.py failed with exit code: 1
Traceback (most recent call last):
  File "/code/lintian-brush/lintian_brush/__init__.py", line 415, in run
    exec(code, global_vars)
  File "/code/lintian-brush/fixers/no-homepage-field.py", line 27, in <module>
    with control as updater:
  File "/code/debmutate/debmutate/control.py", line 317, in __enter__
    self._primary.__enter__()
  File "/code/debmutate/debmutate/reformatting.py", line 193, in __enter__
    self._parsed = self._nonexistant()
  File "/code/debmutate/debmutate/reformatting.py", line 189, in __enter__
    with open(self.path, 'r' + self.mode) as f:
FileNotFoundError: [Errno 2] No such file or directory: 'debian/control'

[2021-05-11 16:28:03] Fixer 'orphaned-package-should-not-have-uploaders' failed to run:
Script /code/lintian-brush/fixers/orphaned-package-should-not-have-uploaders.py failed with exit code: 1
Traceback (most recent call last):
  File "/code/lintian-brush/lintian_brush/__init__.py", line 415, in run
    exec(code, global_vars)
  File "/code/lintian-brush/fixers/orphaned-package-should-not-have-uploaders.py", line 8, in <module>
    with control as updater:
  File "/code/debmutate/debmutate/control.py", line 317, in __enter__
    self._primary.__enter__()
  File "/code/debmutate/debmutate/reformatting.py", line 193, in __enter__
    self._parsed = self._nonexistant()
  File "/code/debmutate/debmutate/reformatting.py", line 189, in __enter__
    with open(self.path, 'r' + self.mode) as f:
FileNotFoundError: [Errno 2] No such file or directory: 'debian/control'

[2021-05-11 16:28:03] Fixer 'declares-possibly-conflicting-debhelper-compat-versions' failed to run:
Script /code/lintian-brush/fixers/declares-possibly-conflicting-debhelper-compat-versions.py failed with exit code: 1
Traceback (most recent call last):
  File "/code/lintian-brush/lintian_brush/__init__.py", line 415, in run
    exec(code, global_vars)
  File "/code/lintian-brush/fixers/declares-possibly-conflicting-debhelper-compat-versions.py", line 20, in <module>
    with control:
  File "/code/debmutate/debmutate/control.py", line 317, in __enter__
    self._primary.__enter__()
  File "/code/debmutate/debmutate/reformatting.py", line 193, in __enter__
    self._parsed = self._nonexistant()
  File "/code/debmutate/debmutate/reformatting.py", line 189, in __enter__
    with open(self.path, 'r' + self.mode) as f:
FileNotFoundError: [Errno 2] No such file or directory: 'debian/control'

[2021-05-11 16:28:03] Fixer 'debhelper-compat-wrong-field' failed to run:
Script /code/lintian-brush/fixers/debhelper-compat-wrong-field.py failed with exit code: 1
Traceback (most recent call last):
  File "/code/lintian-brush/lintian_brush/__init__.py", line 415, in run
    exec(code, global_vars)
  File "/code/lintian-brush/fixers/debhelper-compat-wrong-field.py", line 11, in <module>
    with control as updater:
  File "/code/debmutate/debmutate/control.py", line 317, in __enter__
    self._primary.__enter__()
  File "/code/debmutate/debmutate/reformatting.py", line 193, in __enter__
    self._parsed = self._nonexistant()
  File "/code/debmutate/debmutate/reformatting.py", line 189, in __enter__
    with open(self.path, 'r' + self.mode) as f:
FileNotFoundError: [Errno 2] No such file or directory: 'debian/control'

[2021-05-11 16:28:03] Fixer 'priority-extra-is-replaced-by-priority-optional' failed to run:
Script /code/lintian-brush/fixers/priority-extra-is-replaced-by-priority-optional.py failed with exit code: 1
Traceback (most recent call last):
  File "/code/lintian-brush/lintian_brush/__init__.py", line 415, in run
    exec(code, global_vars)
  File "/code/lintian-brush/fixers/priority-extra-is-replaced-by-priority-optional.py", line 6, in <module>
    with control as updater:
  File "/code/debmutate/debmutate/control.py", line 317, in __enter__
    self._primary.__enter__()
  File "/code/debmutate/debmutate/reformatting.py", line 193, in __enter__
    self._parsed = self._nonexistant()
  File "/code/debmutate/debmutate/reformatting.py", line 189, in __enter__
    with open(self.path, 'r' + self.mode) as f:
FileNotFoundError: [Errno 2] No such file or directory: 'debian/control'

[2021-05-11 16:28:03] Fixer 'transitional-package-should-be-oldlibs-optional' failed to run:
Script /code/lintian-brush/fixers/transitional-package-should-be-oldlibs-optional.py failed with exit code: 1
Traceback (most recent call last):
  File "/code/lintian-brush/lintian_brush/__init__.py", line 415, in run
    exec(code, global_vars)
  File "/code/lintian-brush/fixers/transitional-package-should-be-oldlibs-optional.py", line 8, in <module>
    with control as updater:
  File "/code/debmutate/debmutate/control.py", line 317, in __enter__
    self._primary.__enter__()
  File "/code/debmutate/debmutate/reformatting.py", line 193, in __enter__
    self._parsed = self._nonexistant()
  File "/code/debmutate/debmutate/reformatting.py", line 189, in __enter__
    with open(self.path, 'r' + self.mode) as f:
FileNotFoundError: [Errno 2] No such file or directory: 'debian/control'

[2021-05-11 16:28:03] Fixer 'unnecessary-team-upload' failed to run:
Script /code/lintian-brush/fixers/unnecessary-team-upload.py failed with exit code: 1
Traceback (most recent call last):
  File "/code/lintian-brush/lintian_brush/__init__.py", line 415, in run
    exec(code, global_vars)
  File "/code/lintian-brush/fixers/unnecessary-team-upload.py", line 13, in <module>
    with control as updater:
  File "/code/debmutate/debmutate/control.py", line 317, in __enter__
    self._primary.__enter__()
  File "/code/debmutate/debmutate/reformatting.py", line 193, in __enter__
    self._parsed = self._nonexistant()
  File "/code/debmutate/debmutate/reformatting.py", line 189, in __enter__
    with open(self.path, 'r' + self.mode) as f:
FileNotFoundError: [Errno 2] No such file or directory: 'debian/control'

[2021-05-11 16:28:03] Fixer 'unnecessary-testsuite-autopkgtest-field' failed to run:
Script /code/lintian-brush/fixers/unnecessary-testsuite-autopkgtest-field.py failed with exit code: 1
Traceback (most recent call last):
  File "/code/lintian-brush/lintian_brush/__init__.py", line 415, in run
    exec(code, global_vars)
  File "/code/lintian-brush/fixers/unnecessary-testsuite-autopkgtest-field.py", line 18, in <module>
    with control as updater:
  File "/code/debmutate/debmutate/control.py", line 317, in __enter__
    self._primary.__enter__()
  File "/code/debmutate/debmutate/reformatting.py", line 193, in __enter__
    self._parsed = self._nonexistant()
  File "/code/debmutate/debmutate/reformatting.py", line 189, in __enter__
    with open(self.path, 'r' + self.mode) as f:
FileNotFoundError: [Errno 2] No such file or directory: 'debian/control'

[2021-05-11 16:28:03] Fixer 'vcs-field-invalid-branch' failed to run:
Script /code/lintian-brush/fixers/vcs-field-invalid-branch.py failed with exit code: 1
Traceback (most recent call last):
  File "/code/lintian-brush/lintian_brush/__init__.py", line 415, in run
    exec(code, global_vars)
  File "/code/lintian-brush/fixers/vcs-field-invalid-branch.py", line 52, in <module>
    with control as updater:
  File "/code/debmutate/debmutate/control.py", line 317, in __enter__
    self._primary.__enter__()
  File "/code/debmutate/debmutate/reformatting.py", line 193, in __enter__
    self._parsed = self._nonexistant()
  File "/code/debmutate/debmutate/reformatting.py", line 189, in __enter__
    with open(self.path, 'r' + self.mode) as f:
FileNotFoundError: [Errno 2] No such file or directory: 'debian/control'

[2021-05-11 16:28:03] Fixer 'vcs-field-uses-insecure-uri' failed to run:
Script /code/lintian-brush/fixers/vcs-field-uses-insecure-uri.py failed with exit code: 1
Traceback (most recent call last):
  File "/code/lintian-brush/lintian_brush/__init__.py", line 415, in run
    exec(code, global_vars)
  File "/code/lintian-brush/fixers/vcs-field-uses-insecure-uri.py", line 15, in <module>
    with control as updater:
  File "/code/debmutate/debmutate/control.py", line 317, in __enter__
    self._primary.__enter__()
  File "/code/debmutate/debmutate/reformatting.py", line 193, in __enter__
    self._parsed = self._nonexistant()
  File "/code/debmutate/debmutate/reformatting.py", line 189, in __enter__
    with open(self.path, 'r' + self.mode) as f:
FileNotFoundError: [Errno 2] No such file or directory: 'debian/control'

[2021-05-11 16:28:03] Fixer 'vcs-field-uses-not-recommended-uri-format' failed to run:
Script /code/lintian-brush/fixers/vcs-field-uses-not-recommended-uri-format.py failed with exit code: 1
Traceback (most recent call last):
  File "/code/lintian-brush/lintian_brush/__init__.py", line 415, in run
    exec(code, global_vars)
  File "/code/lintian-brush/fixers/vcs-field-uses-not-recommended-uri-format.py", line 10, in <module>
    with control as updater:
  File "/code/debmutate/debmutate/control.py", line 317, in __enter__
    self._primary.__enter__()
  File "/code/debmutate/debmutate/reformatting.py", line 193, in __enter__
    self._parsed = self._nonexistant()
  File "/code/debmutate/debmutate/reformatting.py", line 189, in __enter__
    with open(self.path, 'r' + self.mode) as f:
FileNotFoundError: [Errno 2] No such file or directory: 'debian/control'

[2021-05-11 16:28:03] Fixer 'wrong-debian-qa-group-name' failed to run:
Script /code/lintian-brush/fixers/wrong-debian-qa-group-name.py failed with exit code: 1
Traceback (most recent call last):
  File "/code/lintian-brush/lintian_brush/__init__.py", line 415, in run
    exec(code, global_vars)
  File "/code/lintian-brush/fixers/wrong-debian-qa-group-name.py", line 8, in <module>
    with control as updater:
  File "/code/debmutate/debmutate/control.py", line 317, in __enter__
    self._primary.__enter__()
  File "/code/debmutate/debmutate/reformatting.py", line 193, in __enter__
    self._parsed = self._nonexistant()
  File "/code/debmutate/debmutate/reformatting.py", line 189, in __enter__
    with open(self.path, 'r' + self.mode) as f:
FileNotFoundError: [Errno 2] No such file or directory: 'debian/control'

[2021-05-11 16:28:03] Fixer 'xs-vcs-field-in-debian-control' failed to run:
Script /code/lintian-brush/fixers/xs-vcs-field-in-debian-control.py failed with exit code: 1
Traceback (most recent call last):
  File "/code/lintian-brush/lintian_brush/__init__.py", line 415, in run
    exec(code, global_vars)
  File "/code/lintian-brush/fixers/xs-vcs-field-in-debian-control.py", line 5, in <module>
    with control as updater:
  File "/code/debmutate/debmutate/control.py", line 317, in __enter__
    self._primary.__enter__()
  File "/code/debmutate/debmutate/reformatting.py", line 193, in __enter__
    self._parsed = self._nonexistant()
  File "/code/debmutate/debmutate/reformatting.py", line 189, in __enter__
    with open(self.path, 'r' + self.mode) as f:
FileNotFoundError: [Errno 2] No such file or directory: 'debian/control'

[2021-05-11 16:28:03] Fixer 'vcs-field-bitrotted' failed to run:
Script /code/lintian-brush/fixers/vcs-field-bitrotted.py failed with exit code: 1
Traceback (most recent call last):
  File "/code/lintian-brush/lintian_brush/__init__.py", line 415, in run
    exec(code, global_vars)
  File "/code/lintian-brush/fixers/vcs-field-bitrotted.py", line 184, in <module>
    with control as updater:
  File "/code/debmutate/debmutate/control.py", line 317, in __enter__
    self._primary.__enter__()
  File "/code/debmutate/debmutate/reformatting.py", line 193, in __enter__
    self._parsed = self._nonexistant()
  File "/code/debmutate/debmutate/reformatting.py", line 189, in __enter__
    with open(self.path, 'r' + self.mode) as f:
FileNotFoundError: [Errno 2] No such file or directory: 'debian/control'

[2021-05-11 16:28:03] Fixer 'vcs-field-mismatch' failed to run:
Script /code/lintian-brush/fixers/vcs-field-mismatch.py failed with exit code: 1
Traceback (most recent call last):
  File "/code/lintian-brush/lintian_brush/__init__.py", line 415, in run
    exec(code, global_vars)
  File "/code/lintian-brush/fixers/vcs-field-mismatch.py", line 13, in <module>
    with control as updater:
  File "/code/debmutate/debmutate/control.py", line 317, in __enter__
    self._primary.__enter__()
  File "/code/debmutate/debmutate/reformatting.py", line 193, in __enter__
    self._parsed = self._nonexistant()
  File "/code/debmutate/debmutate/reformatting.py", line 189, in __enter__
    with open(self.path, 'r' + self.mode) as f:
FileNotFoundError: [Errno 2] No such file or directory: 'debian/control'

[2021-05-11 16:28:03] Fixer 'vcs-field-not-canonical' failed to run:
Script /code/lintian-brush/fixers/vcs-field-not-canonical.py failed with exit code: 1
Traceback (most recent call last):
  File "/code/lintian-brush/lintian_brush/__init__.py", line 415, in run
    exec(code, global_vars)
  File "/code/lintian-brush/fixers/vcs-field-not-canonical.py", line 10, in <module>
    with control as updater:
  File "/code/debmutate/debmutate/control.py", line 317, in __enter__
    self._primary.__enter__()
  File "/code/debmutate/debmutate/reformatting.py", line 193, in __enter__
    self._parsed = self._nonexistant()
  File "/code/debmutate/debmutate/reformatting.py", line 189, in __enter__
    with open(self.path, 'r' + self.mode) as f:
FileNotFoundError: [Errno 2] No such file or directory: 'debian/control'

[2021-05-11 16:28:03] Fixer 'vcs-broken-uri' failed to run:
Script /code/lintian-brush/fixers/vcs-broken-uri.py failed with exit code: 1
Traceback (most recent call last):
  File "/code/lintian-brush/lintian_brush/__init__.py", line 415, in run
    exec(code, global_vars)
  File "/code/lintian-brush/fixers/vcs-broken-uri.py", line 7, in <module>
    with control as updater:
  File "/code/debmutate/debmutate/control.py", line 317, in __enter__
    self._primary.__enter__()
  File "/code/debmutate/debmutate/reformatting.py", line 193, in __enter__
    self._parsed = self._nonexistant()
  File "/code/debmutate/debmutate/reformatting.py", line 189, in __enter__
    with open(self.path, 'r' + self.mode) as f:
FileNotFoundError: [Errno 2] No such file or directory: 'debian/control'

[2021-05-11 16:28:03] Fixer 'built-using-for-golang' failed to run:
Script /code/lintian-brush/fixers/built-using-for-golang.py failed with exit code: 1
Traceback (most recent call last):
  File "/code/lintian-brush/lintian_brush/__init__.py", line 415, in run
    exec(code, global_vars)
  File "/code/lintian-brush/fixers/built-using-for-golang.py", line 19, in <module>
    with control as updater:
  File "/code/debmutate/debmutate/control.py", line 317, in __enter__
    self._primary.__enter__()
  File "/code/debmutate/debmutate/reformatting.py", line 193, in __enter__
    self._parsed = self._nonexistant()
  File "/code/debmutate/debmutate/reformatting.py", line 189, in __enter__
    with open(self.path, 'r' + self.mode) as f:
FileNotFoundError: [Errno 2] No such file or directory: 'debian/control'

[2021-05-11 16:28:03] Fixer 'font-package-not-multi-arch-foreign' failed to run:
Script /code/lintian-brush/fixers/font-package-not-multi-arch-foreign.py failed with exit code: 1
Traceback (most recent call last):
  File "/code/lintian-brush/lintian_brush/__init__.py", line 415, in run
    exec(code, global_vars)
  File "/code/lintian-brush/fixers/font-package-not-multi-arch-foreign.py", line 8, in <module>
    with control as updater:
  File "/code/debmutate/debmutate/control.py", line 317, in __enter__
    self._primary.__enter__()
  File "/code/debmutate/debmutate/reformatting.py", line 193, in __enter__
    self._parsed = self._nonexistant()
  File "/code/debmutate/debmutate/reformatting.py", line 189, in __enter__
    with open(self.path, 'r' + self.mode) as f:
FileNotFoundError: [Errno 2] No such file or directory: 'debian/control'

[2021-05-11 16:28:03] Fixer 'no-priority-field' failed to run:
Script /code/lintian-brush/fixers/no-priority-field.py failed with exit code: 1
Traceback (most recent call last):
  File "/code/lintian-brush/lintian_brush/__init__.py", line 415, in run
    exec(code, global_vars)
  File "/code/lintian-brush/fixers/no-priority-field.py", line 16, in <module>
    with control as updater:
  File "/code/debmutate/debmutate/control.py", line 317, in __enter__
    self._primary.__enter__()
  File "/code/debmutate/debmutate/reformatting.py", line 193, in __enter__
    self._parsed = self._nonexistant()
  File "/code/debmutate/debmutate/reformatting.py", line 189, in __enter__
    with open(self.path, 'r' + self.mode) as f:
FileNotFoundError: [Errno 2] No such file or directory: 'debian/control'

[2021-05-11 16:28:03] Fixer 'no-section-field' failed to run:
Script /code/lintian-brush/fixers/no-section-field.py failed with exit code: 1
Traceback (most recent call last):
  File "/code/lintian-brush/lintian_brush/__init__.py", line 415, in run
    exec(code, global_vars)
  File "/code/lintian-brush/fixers/no-section-field.py", line 18, in <module>
    with control as updater:
  File "/code/debmutate/debmutate/control.py", line 317, in __enter__
    self._primary.__enter__()
  File "/code/debmutate/debmutate/reformatting.py", line 193, in __enter__
    self._parsed = self._nonexistant()
  File "/code/debmutate/debmutate/reformatting.py", line 189, in __enter__
    with open(self.path, 'r' + self.mode) as f:
FileNotFoundError: [Errno 2] No such file or directory: 'debian/control'

[2021-05-11 16:28:03] Fixer 'invalid-standards-version' failed to run:
Script /code/lintian-brush/fixers/invalid-standards-version.py failed with exit code: 1
Traceback (most recent call last):
  File "/code/lintian-brush/lintian_brush/__init__.py", line 415, in run
    exec(code, global_vars)
  File "/code/lintian-brush/fixers/invalid-standards-version.py", line 15, in <module>
    with control as updater:
  File "/code/debmutate/debmutate/control.py", line 317, in __enter__
    self._primary.__enter__()
  File "/code/debmutate/debmutate/reformatting.py", line 193, in __enter__
    self._parsed = self._nonexistant()
  File "/code/debmutate/debmutate/reformatting.py", line 189, in __enter__
    with open(self.path, 'r' + self.mode) as f:
FileNotFoundError: [Errno 2] No such file or directory: 'debian/control'

[2021-05-11 16:28:03] Fixer 'unused-override' failed to run:
Script /code/lintian-brush/fixers/unused-override.py failed with exit code: 1
Traceback (most recent call last):
  File "/code/lintian-brush/lintian_brush/__init__.py", line 415, in run
    exec(code, global_vars)
  File "/code/lintian-brush/fixers/unused-override.py", line 29, in <module>
    control.paragraphs, ignore_tags=INTERMITTENT_LINTIAN_TAGS)
  File "/code/debmutate/debmutate/control.py", line 265, in paragraphs
    return self._primary.paragraphs
  File "/code/debmutate/debmutate/deb822.py", line 152, in paragraphs
    return self._parsed
AttributeError: 'Deb822Editor' object has no attribute '_parsed'

[2021-05-11 16:28:03] Fixer 'pkg-perl-vcs' failed to run:
Script /code/lintian-brush/fixers/pkg-perl-vcs.py failed with exit code: 1
Traceback (most recent call last):
  File "/code/lintian-brush/lintian_brush/__init__.py", line 415, in run
    exec(code, global_vars)
  File "/code/lintian-brush/fixers/pkg-perl-vcs.py", line 13, in <module>
    with control as e:
  File "/code/debmutate/debmutate/control.py", line 317, in __enter__
    self._primary.__enter__()
  File "/code/debmutate/debmutate/reformatting.py", line 193, in __enter__
    self._parsed = self._nonexistant()
  File "/code/debmutate/debmutate/reformatting.py", line 189, in __enter__
    with open(self.path, 'r' + self.mode) as f:
FileNotFoundError: [Errno 2] No such file or directory: 'debian/control'

[2021-05-11 16:28:03] Fixer 'pkg-perl-testsuite' failed to run:
Script /code/lintian-brush/fixers/pkg-perl-testsuite.py failed with exit code: 1
Traceback (most recent call last):
  File "/code/lintian-brush/lintian_brush/__init__.py", line 415, in run
    exec(code, global_vars)
  File "/code/lintian-brush/fixers/pkg-perl-testsuite.py", line 14, in <module>
    with control as e:
  File "/code/debmutate/debmutate/control.py", line 317, in __enter__
    self._primary.__enter__()
  File "/code/debmutate/debmutate/reformatting.py", line 193, in __enter__
    self._parsed = self._nonexistant()
  File "/code/debmutate/debmutate/reformatting.py", line 189, in __enter__
    with open(self.path, 'r' + self.mode) as f:
FileNotFoundError: [Errno 2] No such file or directory: 'debian/control'

[2021-05-11 16:28:03] only add-on fixers found
E: 10mount: mount: /run/schroot/mount/unstable-amd64-sbuild-58d5f846-d202-4c5d-ae14-4bd4d4bb0a67: bind /chroots/unstable-amd64-sbuild failed.
E: unstable-amd64-sbuild-58d5f846-d202-4c5d-ae14-4bd4d4bb0a67: Chroot setup failed: stage=setup-start
Traceback (most recent call last):
  File "/code/ognibuild/ognibuild/session/schroot.py", line 81, in __enter__
    subprocess.check_output(["schroot", "-c", self.chroot, "-b"])
  File "/usr/lib/python3.9/subprocess.py", line 424, in check_output
    return run(*popenargs, stdout=PIPE, timeout=timeout, check=True,
  File "/usr/lib/python3.9/subprocess.py", line 528, in run
    raise CalledProcessError(retcode, process.args,
subprocess.CalledProcessError: Command '['schroot', '-c', 'unstable-amd64-sbuild', '-b']' returned non-zero exit status 1.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/code/janitor/pull_worker.py", line 214, in run_worker
    with process_package(
  File "/usr/lib/python3.9/contextlib.py", line 117, in __enter__
    return next(self.gen)
  File "/code/janitor/worker.py", line 806, in process_package
    build_target_details = build_target.build(
  File "/code/janitor/worker.py", line 487, in build
    with session:
  File "/code/ognibuild/ognibuild/session/schroot.py", line 87, in __enter__
    raise SessionSetupFailure()
ognibuild.session.SessionSetupFailure

Summary

Full worker log